package com.gci.boot.common.dict.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Dict {
    /**
     * 方法描述:  字典编码，如果指定了dictTable,则是字典项的值
     */
    String dicCode();

    /**
     * 方法描述:  字典文本
     */
    String dicText() default "";

    /**
     * 数据字典表
     */
    String dictTable() default "";
}
